<?php
require '../conexao/conexao.php';
// Montagem da consulta SQL

$sql_qtd_valor_orcamento_reprovado = "SELECT
  count(A1.CODIGO) as qtd_orc_reprovado,
  cast(coalesce(sum(A1.VALORVENDA_DESC),0) as numeric (18,2)) as valor_reprovado
  from ATENDIMENTO_A1 A1
  inner join FUNCIONARIO FU ON FU.CODIGO = A1.CADASTRO_CF
  where A1.TIPO_ATENDIMENTO = 1
  AND A1.PAGAR_COMISSAO_FUNCIONARIO = '-1'
  AND A1.STATUS_MOV = 0";

// Condição para a filial
if ($filial && $filial != "Todos") {
    if (is_array($filial)) {
        $filial = implode(",", $filial); // Converte array para string separada por vírgulas
    }
    $sql_qtd_valor_orcamento_reprovado .= " AND A1.CADASTRO_LJ IN ($filial)";
}

// Condição para o ano
if ($ano && $ano != "Todos") {
    $sql_qtd_valor_orcamento_reprovado .= " AND EXTRACT(YEAR FROM A1.CADASTRO_DT) = " . intval($ano);
}

// Condição para o mês
if ($mes && $mes != "Todos") {
    $sql_qtd_valor_orcamento_reprovado .= " AND EXTRACT(MONTH FROM A1.CADASTRO_DT) = " . intval($mes);
}

//echo $sql_qtd_valor_orcamento_reprovado;
$result_qtd_valor_orcamento_reprovado = ibase_query($connection, $sql_qtd_valor_orcamento_reprovado);

//-------CONSULTA ORÇAMENTO APROVADO----------//

$sql_qtd_valor_orcamento_aprovado = "SELECT
  count(A1.CODIGO) as qtd_orc_aprovado,
  cast(coalesce(sum(A1.VALORVENDA_DESC),0) as numeric (18,2)) as valor_aprovado
from ATENDIMENTO_A1 A1
  left join ATENDIMENTO_CF CF ON A1.CODIGO_ATEND_FL = CF.CODIGO_ATEND_FL and CF.CANCELAMENTO_CF is null
  inner join FUNCIONARIO FU ON FU.CODIGO = A1.AVIADA_CF
where A1.TIPO_ATENDIMENTO = 1
  AND A1.PAGAR_COMISSAO_FUNCIONARIO = '-1'
  AND A1.STATUS_MOV = -1";

// Condição para a filial
if ($filial && $filial != "Todos") {
    if (is_array($filial)) {
        $filial = implode(",", $filial); // Converte array para string separada por vírgulas
    }
    $sql_qtd_valor_orcamento_aprovado .= " AND A1.AVIADA_LJ IN ($filial)";
}

// Condição para o ano
if ($ano && $ano != "Todos") {
    $sql_qtd_valor_orcamento_aprovado .= " AND EXTRACT(YEAR FROM A1.aviada_dt) = " . intval($ano);
}

// Condição para o mês
if ($mes && $mes != "Todos") {
    $sql_qtd_valor_orcamento_aprovado .= " AND EXTRACT(MONTH FROM A1.aviada_dt) = " . intval($mes);
}

$result_qtd_valor_orcamento_aprovado = ibase_query($connection, $sql_qtd_valor_orcamento_aprovado);

$dadosOrcamentoAprovado = array(); // Armazena os dados dos orçamentos aprovados
$dadosOrcamentoReprovado = array(); // Armazena os dados dos orçamentos reprovados
$somaTotalOrcamentos = 0;
$somaQuantidadeOrcamentos = 0;
$somaTotalOrcamentoAprovado = 0;
$somaQuantidadeOrcamentoAprovado = 0;
$valorTotalOrcamentoAprovado = 0;
$QtdTotalOrcamentoAprovado = 0;
$somaTotalOrcamentoReprovado = 0;
$somaQuantidadeOrcamentoReprovado = 0;
$valorTotalOrcamentoReprovado = 0;
$QtdTotalOrcamentoReprovado = 0;


// Consulta para orçamentos aprovados
if ($result_qtd_valor_orcamento_aprovado) {
    while ($rowAprovado = ibase_fetch_assoc($result_qtd_valor_orcamento_aprovado)) {
        // Realiza a conversão e armazena os dados dos orçamentos aprovados
        $dadosAprovado = array(
            //'TOTAL_ORCAMENTO' => floatval(str_replace(',', '.', str_replace('.', '', $rowAprovado['VALOR_APROVADO']))),
            'TOTAL_ORCAMENTO' =>  $rowAprovado['VALOR_APROVADO'],
            'QTD_ORCAMENTO' => intval($rowAprovado['QTD_ORC_APROVADO']),
            'SITUACAO_ORCAMENTO' => 1 // Define como aprovado
        );

        $dadosOrcamentoAprovado[] = $dadosAprovado;

        // Soma os valores e quantidades dos orçamentos aprovados
        $somaTotalOrcamentoAprovado += $dadosAprovado['TOTAL_ORCAMENTO'];
        $somaQuantidadeOrcamentoAprovado += $dadosAprovado['QTD_ORCAMENTO'];
        $valorTotalOrcamentoAprovado += $dadosAprovado['TOTAL_ORCAMENTO'];
        $QtdTotalOrcamentoAprovado += $dadosAprovado['QTD_ORCAMENTO'];
    }
}

// Consulta para orçamentos reprovados
if ($result_qtd_valor_orcamento_reprovado) {
    while ($rowReprovado = ibase_fetch_assoc($result_qtd_valor_orcamento_reprovado)) {
        // Realiza a conversão e armazena os dados dos orçamentos reprovados
        $dadosReprovado = array(
            // 'TOTAL_ORCAMENTO' => floatval(str_replace(',', '.', str_replace('.', '', $rowReprovado['VALOR_REPROVADO']))),
            'TOTAL_ORCAMENTO' =>  $rowReprovado['VALOR_REPROVADO'],
            'QTD_ORCAMENTO' => intval($rowReprovado['QTD_ORC_REPROVADO']),
            'SITUACAO_ORCAMENTO' => 0 // Define como reprovado
        );

        $dadosOrcamentoReprovado[] = $dadosReprovado;


        // Soma os valores e quantidades dos orçamentos reprovados
        $somaTotalOrcamentoReprovado += $dadosReprovado['TOTAL_ORCAMENTO'];
        $somaQuantidadeOrcamentoReprovado += $dadosReprovado['QTD_ORCAMENTO'];
        $valorTotalOrcamentoReprovado += $dadosReprovado['TOTAL_ORCAMENTO'];
        $QtdTotalOrcamentoReprovado += $dadosReprovado['QTD_ORCAMENTO'];
    }
}

$somaTotalOrcamentos = $somaTotalOrcamentoReprovado  + $somaTotalOrcamentoAprovado;
$somaQuantidadeOrcamentos = $somaQuantidadeOrcamentoReprovado  + $somaQuantidadeOrcamentoAprovado;

// Cálculo percentual de orçamento por valor 
if ($somaTotalOrcamentoAprovado > 0) {
    $percentualAprovado = ($somaTotalOrcamentoAprovado / $somaTotalOrcamentos) * 100;

    $percentualReprovado = ($somaTotalOrcamentoReprovado / $somaTotalOrcamentos) * 100;

    $percentualAprovado = number_format($percentualAprovado, 2);
    $percentualReprovado = number_format($percentualReprovado, 2);
} else {
    $percentualAprovado = 0;
    $percentualReprovado = 0;
}

// Cálculo percentual de orçamento por quantidade de orçamentos
if ($somaQuantidadeOrcamentoAprovado > 0) {
    $percentualAprovadoQtd = ($somaQuantidadeOrcamentoAprovado / $somaQuantidadeOrcamentos) * 100;

    $percentualReprovadoQtd = ($somaQuantidadeOrcamentoReprovado / $somaQuantidadeOrcamentos) * 100;

    $percentualAprovadoQtd = number_format($percentualAprovadoQtd, 2);
    $percentualReprovadoQtd = number_format($percentualReprovadoQtd, 2);
} else {
    $percentualAprovadoQtd = 0;
    $percentualReprovadoQtd = 0;
}

if (!$result_qtd_valor_orcamento_reprovado || !$result_qtd_valor_orcamento_aprovado) {
    die('Erro na consulta Firebird/InterBase: ' . ibase_errmsg());
}
//--------CONSULTA DE MEDICOS MANDANTES ----------//
// Continue construindo a consulta SQL
$sql_medicos_demandantes = "SELECT count(medicos.C1) 
FROM (
    SELECT DISTINCT SM.C1
    FROM (
        SELECT
            A1.CODIGO_MEDICO C1,
            ME.NOMEMEDICO C2,
            count(A1.CODIGO) C3,
            SUM(
                (SELECT CAST(SUM(A2.MULTIPLO) as integer) 
                 FROM ATENDIMENTO_A2 A2 
                 WHERE A1.CODIGO = A2.CODIGO_ATEND_A1 
                   AND A2.CONCLUIDOFORMULA = -1)
            ) C4,
            ((cast(coalesce(sum(((A1.VALORVENDA * A1.DESCONTO) / 100)), 0) as numeric(18,2))) / count(A1.CODIGO)) C5,
            ((cast(coalesce(sum(A1.VALORVENDA_DESC), 0) as numeric(18,2))) / count(A1.CODIGO)) C6,
            cast(coalesce(sum(((A1.VALORVENDA * A1.DESCONTO) / 100)), 0) as numeric(18,2)) C7,
            cast(coalesce(sum(A1.VALORVENDA_DESC), 0) as numeric(18,2)) C8,
            cast(coalesce(sum(A1.VALORCUSTO), 0) as numeric(18,2)) C9,
            MAX(AG.AG1_OP) C10
        FROM ATENDIMENTO_A1 A1
        LEFT JOIN UTIL_REL_AG1(1) AG ON AG.AG1_OP > 0
        INNER JOIN MEDICO ME ON A1.CODIGO_MEDICO = ME.CODIGO
        LEFT JOIN MEDICO_CR CR ON ME.CODIGO_CONSELHO_REGIONAL = CR.CODIGO AND CR.cr_padrao = -1
        WHERE A1.TIPO_ATENDIMENTO = 1";

// Adicionando condição de filial, se houver
if ($filial && $filial != "Todos") {
    // Verifica se $filial é uma string e não um array
    if (is_string($filial)) {
        // Certifique-se de que os valores sejam inteiros
        $filial = implode(",", array_map('intval', explode(",", $filial))); // Converte a string em array e depois para string separada por vírgulas
    }
    // Adiciona a condição de filial à consulta
    $sql_medicos_demandantes .= " AND A1.aviada_lj IN ($filial)";
}

// Adicionando condição de ano, se houver
if ($ano && $ano != "Todos") {
    $sql_medicos_demandantes .= " AND EXTRACT(YEAR FROM A1.aviada_dt) = " . intval($ano);
}

// Adicionando condição de mês, se houver
if ($mes && $mes != "Todos") {
    $sql_medicos_demandantes .= " AND EXTRACT(MONTH FROM A1.aviada_dt) = " . intval($mes);
}

// Finalize a consulta
$sql_medicos_demandantes .= "
        GROUP BY A1.CODIGO_MEDICO, ME.NOMEMEDICO
    ) SM
) medicos";

// echo $sql_medicos_demandantes;
// exit();
$resultmedicodemandantes = ibase_query($connection, $sql_medicos_demandantes);


if (!$resultmedicodemandantes) {
    die('Erro na consulta' . $sql_medicos_demandantes . 'Firebird/InterBase: ' . ibase_errmsg());
}

$rowqtdclientesdemandantes = ibase_fetch_assoc($resultmedicodemandantes);

//print_r($rowqtdclientesdemandantes); exit;


//CONTAR CLIENTES NOVOS

$sql_clientes_novos = "select 
COUNT(C.CODIGO) as novos
from CLIENTE C
left join CADASTRO_ENDERECO EN ON EN.TIPO_CADASTRO = 1 AND EN.CODIGO_CADASTRO = C.CODIGO AND EN.PRINCIPAL = -1
left join CIDADEESTADO CE on EN.CODIGO_CIDADEESTADO = CE.CODIGO
left join REGIAODETALHE RD on EN.CODIGO_REGIAODETALHE = RD.CODIGO
where c.codigo is not null";

if ($filial && $filial != "Todos") {
    // Verifica se $filial é uma string e não um array
    if (is_string($filial)) {
        // Certifique-se de que os valores sejam inteiros
        $filial = implode(",", array_map('intval', explode(",", $filial))); // Converte a string em array e depois para string separada por vírgulas
    }
    // Adiciona a condição de filial à consulta
    $sql_clientes_novos .= " AND C.cadastro_lj IN ($filial)";
}

// Adicionando condição de ano, se houver
if ($ano && $ano != "Todos") {
    $sql_clientes_novos .= " AND EXTRACT(YEAR FROM C.cadastro_dt) = " . intval($ano);
}

// Adicionando condição de mês, se houver
if ($mes && $mes != "Todos") {
    $sql_clientes_novos .= " AND EXTRACT(MONTH FROM C.cadastro_dt) = " . intval($mes);
}

$resultclientesnovos = ibase_query($connection, $sql_clientes_novos);
if (!$resultclientesnovos) {
    die('Erro na consulta' . $sql_clientes_novos . '  Firebird/InterBase: ' . ibase_errmsg());
}
$rowclientesnovos = ibase_fetch_assoc($resultclientesnovos);


//CONTAR CLIENTES ATENDIDOS PS: TROQUEI O ALIAS CAMPO3 PARA ATENDIDOS POIS ERA O CAMPO QUE JÁ PUXAVA NO ECHO
$sql_clientes_Atendidos = "select

  count(A1.CODIGO) as ATENDIDOS

from ATENDIMENTO_A1 A1
  inner join CLIENTE CL ON A1.CODIGO_CLIENTE = CL.CODIGO
  inner join MEDICO ME ON A1.CODIGO_MEDICO = ME.CODIGO
where A1.TIPO_ATENDIMENTO = 1";

if ($filial && $filial != "Todos") {
    // Verifica se $filial é uma string e não um array
    if (is_string($filial)) {
        // Certifique-se de que os valores sejam inteiros
        $filial = implode(",", array_map('intval', explode(",", $filial))); // Converte a string em array e depois para string separada por vírgulas
    }
    // Adiciona a condição de filial à consulta
    $sql_clientes_Atendidos .= " AND A1.aviada_lj IN ($filial)";
}

// Adicionando condição de ano, se houver
if ($ano && $ano != "Todos") {
    $sql_clientes_Atendidos .= " AND EXTRACT(YEAR FROM A1.aviada_dt) = " . intval($ano);
}

// Adicionando condição de mês, se houver
if ($mes && $mes != "Todos") {
    $sql_clientes_Atendidos .= " AND EXTRACT(MONTH FROM A1.aviada_dt) = " . intval($mes);
}


$resultclientesAtendidos = ibase_query($connection, $sql_clientes_Atendidos);
if (!$resultclientesAtendidos) {
    die('Erro na consulta' . $sql_clientes_Atendidos . '  Firebird/InterBase: ' . ibase_errmsg());
}
$rowclientesAtendidos = ibase_fetch_assoc($resultclientesAtendidos);

//print_r($rowclientesAtendidos); exit;

//CONTAR CLIENTES distintos ATENDIDOS PS: TROQUEI O ALIAS qtd PARA DISTINTOS POIS ERA O CAMPO QUE JÁ PUXAVA NO ECHO


$sql_clientes_Distintos_Atendidos = "SELECT COUNT(distintos.CODIGO_CLIENTE) as DISTINTOS 
FROM (
    SELECT DISTINCT A1.CODIGO_CLIENTE
    FROM ATENDIMENTO_A1 A1
    INNER JOIN CLIENTE CL ON A1.CODIGO_CLIENTE = CL.CODIGO
    INNER JOIN MEDICO ME ON A1.CODIGO_MEDICO = ME.CODIGO
    WHERE A1.TIPO_ATENDIMENTO = 1";

// Adicionando condição de ano, se houver
if ($ano && $ano != "Todos") {
    $sql_clientes_Distintos_Atendidos .= " AND EXTRACT(YEAR FROM A1.aviada_dt) = " . intval($ano);
}

// Adicionando condição de mês, se houver
if ($mes && $mes != "Todos") {
    $sql_clientes_Distintos_Atendidos .= " AND EXTRACT(MONTH FROM A1.aviada_dt) = " . intval($mes);
}

// Adicionando condição de filial, se houver
if ($filial && $filial != "Todos") {
    // Verifica se $filial é uma string e não um array
    if (is_string($filial)) {
        // Certifique-se de que os valores sejam inteiros
        $filial = implode(",", array_map('intval', explode(",", $filial))); // Converte a string em array e depois para string separada por vírgulas
    }

    // Adiciona a condição de filial à consulta
    $sql_clientes_Distintos_Atendidos .= " AND A1.aviada_lj IN ($filial)";
}

// Finaliza a consulta
$sql_clientes_Distintos_Atendidos .= ") as distintos";

$resultclientesDistintosAtendidos = ibase_query($connection, $sql_clientes_Distintos_Atendidos);
if (!$resultclientesDistintosAtendidos) {
    die('Erro na consulta' . $sql_clientes_Distintos_Atendidos . '  Firebird/InterBase: ' . ibase_errmsg());
}
$rowclientesDistintosAtendidos = ibase_fetch_assoc($resultclientesDistintosAtendidos);

//-----------SELECT DESCONTO ---------//



//SELECT VALOR DESCONTO VAREJO
$sql_Desconto_varejo = "
      SELECT
      SUM(A1.VALORVENDA) AS valor_bruto_varejo, 
        SUM(A1.VALORVENDA_DESC) AS valor_liquido_varejo
FROM ATENDIMENTO_A1 A1
LEFT JOIN UTIL_REL_AG1(1) AG ON AG.AG1_OP > 0
INNER JOIN FUNCIONARIO FU ON FU.CODIGO = IIF(AG.AG1_OP = 1, A1.CODIGO_FUNCIONARIO_COMISSAO, A1.AVIADA_CF)
WHERE A1.TIPO_ATENDIMENTO IN (2)
";

// Adicionando condição de ano, se houver
if ($ano && $ano != "Todos") {
    $sql_Desconto_varejo .= " AND EXTRACT(YEAR FROM A1.entregue_dt) = " . intval($ano);
}

// Adicionando condição de mês, se houver
if ($mes && $mes != "Todos") {
    $sql_Desconto_varejo .= " AND EXTRACT(MONTH FROM A1.entregue_dt) = " . intval($mes);
}

// Adicionando condição de filial, se houver
if ($filial && $filial != "Todos") {
    // Verifica se $filial é uma string e não um array
    if (is_string($filial)) {
        // Certifique-se de que os valores sejam inteiros
        $filial = implode(",", array_map('intval', explode(",", $filial))); // Converte a string em array e depois para string separada por vírgulas
    }

    // Adiciona a condição de filial à consulta
    $sql_Desconto_varejo .= " AND A1.AVIADA_LJ IN ($filial)";
}

// Adicionando as condições adicionais da consulta original
$sql_Desconto_varejo .= "
AND A1.PAGAR_COMISSAO_FUNCIONARIO = '-1'
AND A1.STATUS_MOV = '-1'";

//if (!empty($operacoes) && $operacoes != "NULL") {
//    $sql_Desconto_varejo .= " AND A1.codigo_tipooperacao NOT IN ($operacoes)";
$sql_Desconto_varejo .= " AND A1.codigo_tipooperacao NOT IN (190,246,174,188,5,261,255,186,159,235,185,234,184,216,236,187,296,297,221,237,242,209)";
//}


// Executar a consulta SQL
$resultDescontoVarejo = ibase_query($connection, $sql_Desconto_varejo);
if (!$resultDescontoVarejo) {
    die('Erro na consulta' . $sql_Desconto_varejo . '  Firebird/InterBase: ' . ibase_errmsg());
}
$rowDescontoVarejo = ibase_fetch_assoc($resultDescontoVarejo);

//echo $sql_Desconto_varejo;
// Salvando os valores bruto e líquido em variáveis PHP
$valor_bruto_varejo = $rowDescontoVarejo['VALOR_BRUTO_VAREJO'];
$valor_liquido_varejo = $rowDescontoVarejo['VALOR_LIQUIDO_VAREJO'];

//Calculando o desconto de varejo

// Verificando se o valor líquido é maior que 0 para evitar divisão por zero
if ($valor_liquido_varejo > 0) {
    // $percentual_desconto_varejo = (($valor_liquido_varejo / $valor_bruto_varejo) - 1) * 100;
    $percentual_desconto_varejo = (($valor_bruto_varejo - $valor_liquido_varejo) / $valor_bruto_varejo) * 100;
} else {
    $percentual_desconto_varejo = 0; // Caso o valor líquido seja 0, o percentual de desconto será zero
}


//SELECT VALOR DESCONTO MANIPULADO
$sql_Desconto_manipulado = "
    SELECT
      SUM(A1.VALORVENDA) AS valor_bruto_manipulado, 
        SUM(A1.VALORVENDA_DESC) AS valor_liquido_manipulado
    FROM ATENDIMENTO_A1 A1
    LEFT JOIN UTIL_REL_AG1(1) AG ON AG.AG1_OP > 0
    INNER JOIN FUNCIONARIO FU ON FU.CODIGO = IIF(AG.AG1_OP = 1, A1.CODIGO_FUNCIONARIO_COMISSAO, A1.AVIADA_CF)
    WHERE A1.TIPO_ATENDIMENTO IN (1)
";

// Adicionando condição de ano, se houver
if ($ano && $ano != "Todos") {
    $sql_Desconto_manipulado .= " AND EXTRACT(YEAR FROM A1.entregue_dt) = " . intval($ano);
}

// Adicionando condição de mês, se houver
if ($mes && $mes != "Todos") {
    $sql_Desconto_manipulado .= " AND EXTRACT(MONTH FROM A1.entregue_dt) = " . intval($mes);
}

// Adicionando condição de filial, se houver
if ($filial && $filial != "Todos") {
    if (is_array($filial)) {
        $filial = implode(",", $filial); // Converte array para string separada por vírgulas
    }
    $sql_Desconto_manipulado .= " AND A1.AVIADA_LJ IN ($filial)";
}

// Adicionando condições adicionais
$sql_Desconto_manipulado .= "
    AND A1.PAGAR_COMISSAO_FUNCIONARIO = '-1'
    AND A1.STATUS_MOV = '-1'";

//if (!empty($operacoes) && $operacoes != "NULL") {
// $sql_Desconto_manipulado .= " AND A1.codigo_tipooperacao NOT IN ($operacoes)";
// AND A1.codigo_tipooperacao NOT IN (5, 159, 174, 184, 185, 186, 187, 188, 190, 216, 221, 234, 235, 236, 237, 242, 246, 261, 296, 297)
//}

$sql_Desconto_manipulado .= "
     AND A1.codigo_tipooperacao NOT IN (190,246,174,188,5,261,255,186,159,235,185,234,184,216,236,187,296,297,221,237,242,209)";

// Executar a consulta SQL
$resultDescontoManipulado = ibase_query($connection, $sql_Desconto_manipulado);
if (!$resultDescontoManipulado) {
    die('Erro na consulta: ' . ibase_errmsg());
}
$rowDescontoManipulado = ibase_fetch_assoc($resultDescontoManipulado);

// Salvando os valores bruto e líquido em variáveis PHP
$valor_bruto_manipulado = $rowDescontoManipulado['VALOR_BRUTO_MANIPULADO'];
$valor_liquido_manipulado = $rowDescontoManipulado['VALOR_LIQUIDO_MANIPULADO'];

//SQL para pegar o desconto de um produto específico

$sql_Produto_especifico = " SELECT SUM(benz.valor_venda_liquido) AS valor_liquido_produto,
           SUM(benz.valor_venda_total) AS valor_bruto_produto
 FROM (SELECT
            cast(coalesce(A1.VALORVENDA_DESC,0) as numeric (18,2)) AS valor_venda_liquido,
            cast(coalesce(A1.VALORVENDA,0) as numeric (18,2)) AS valor_venda_total
from ATENDIMENTO_A1 A1
  inner join CLIENTE C on A1.CODIGO_CLIENTE = C.CODIGO
  inner join MEDICO M on A1.CODIGO_MEDICO = M.CODIGO
  left join COMPRA_RELAC_MOV RM on A1.CODIGO = RM.CODIGO_ATENDIMENTO_A1 and RM.CODIGO_COMPRA is not null
  left join ATENDIMENTO_ED ED ON ED.CODIGO = A1.CODIGO_ATEND_E
  inner join ATENDIMENTO_A2 A2 on A1.CODIGO = A2.CODIGO_ATEND_A1
  inner join FORMAFARMACEUTICA FF on A2.CODIGO_FORMAFARMACEUTICA = FF.CODIGO
  inner join ATENDIMENTO_A3 A3 on A1.CODIGO = A3.CODIGO_ATEND_A1 and A2.NUMEROFORMULA = A3.NUMEROFORMULA

where A1.TIPO_ATENDIMENTO = 1 ";
if ($ano && $ano != "Todos") {
    $sql_Produto_especifico .= " AND EXTRACT(YEAR FROM A1.entregue_dt) = " . intval($ano);
}
if ($mes && $mes != "Todos") {
    $sql_Produto_especifico .= " AND EXTRACT(MONTH FROM A1.entregue_dt) = " . intval($mes);
}
// Adicionando condição de filial, se houver
if ($filial && $filial != "Todos") {
    if (is_array($filial)) {
        $filial = implode(",", $filial); // Converte array para string separada por vírgulas
    }
    $sql_Produto_especifico .= " AND A1.AVIADA_LJ IN ($filial)";
}

$sql_Produto_especifico .= " AND A3.codigo_produto = '1000261'
   
    AND A1.cancelamento_cf is null
    AND A1.descarte_cf is null";

if (!empty($operacoes) && $operacoes != "NULL") {
    $sql_Produto_especifico .= " AND A1.codigo_tipooperacao NOT IN ($operacoes)";
    // AND A1.codigo_tipooperacao NOT IN (5, 159, 174, 184, 185, 186, 187, 188, 190, 216, 221, 234, 235, 236, 237, 242, 246, 261, 296, 297)
}
$sql_Produto_especifico .= " group by
  A1.CODIGO,
  A1.CODIGO_ANIMAL,
  A1.AVIADA_LJ,
  A1.AVIADA_DT,
  C.NOMECLIENTE,
  M.NOMEMEDICO,
  A1.VALORVENDA,
  A1.DESCONTO,
  A1.CARTAOATENDIMENTO,
  A1.CODIGO_ATEND_FL,
  A1.CODIGO_ATEND_E,
  A1.CODIGO_ATEND_PV,
  A1.ENTREGUE_CF,
  RM.CODIGO_ATENDIMENTO_A1,
  A1.DESCARTE_CF,
  A1.VALORVENDA_DESC
) as benz ";

//echo $sql_Produto_especifico; exit ;
// Executar a consulta SQL para o produto específico
$resultProdutoEspecifico = ibase_query($connection, $sql_Produto_especifico);
$rowProdutoEspecifico = ibase_fetch_assoc($resultProdutoEspecifico);
$valor_bruto_produto = $rowProdutoEspecifico['VALOR_BRUTO_PRODUTO'];
$valor_liquido_produto = $rowProdutoEspecifico['VALOR_LIQUIDO_PRODUTO'];

// 3. Subtraindo os valores do produto específico dos valores gerais
$valor_bruto_final_manipulado = $valor_bruto_manipulado - $valor_bruto_produto;
$valor_liquido_final_manipulado = $valor_liquido_manipulado - $valor_liquido_produto;


// 4. Calculando o percentual de desconto
if ($valor_liquido_final_manipulado > 0) {
    //$percentual_desconto = (( $valor_liquido_final_manipulado / $valor_bruto_final_manipulado) - 1) * 100;
    $percentual_desconto = (($valor_bruto_final_manipulado - $valor_liquido_final_manipulado) / $valor_bruto_final_manipulado) * 100;
} else {
    $percentual_desconto = 0; // Evitar divisão por zero
}

//Calculando o desconto total
$valor_bruto_total = $valor_bruto_final_manipulado + $valor_bruto_varejo;
$valor_liquido_total = $valor_liquido_final_manipulado + $valor_liquido_varejo;

// 3. Calculando o percentual de desconto total
if ($valor_liquido_total > 0) {
    $percentual_desconto_total = (($valor_bruto_total - $valor_liquido_total) / $valor_bruto_total) * 100;
} else {
    $percentual_desconto_total = 0; // Evitar divisão por zero
}


/* $sql_desconto_total = "
    SELECT
        CASE 
        WHEN SUM(A1.VALORVENDA_DESC) > 0 THEN
            CAST(((SUM(A1.VALORVENDA) / SUM(A1.VALORVENDA_DESC)) - 1) * 100 AS NUMERIC(18, 2))
        ELSE 
            0
    END AS perc_desc
    FROM ATENDIMENTO_A1 A1
    LEFT JOIN UTIL_REL_AG1(1) AG ON AG.AG1_OP > 0
    INNER JOIN FUNCIONARIO FU ON FU.CODIGO = IIF(AG.AG1_OP = 1, A1.CODIGO_FUNCIONARIO_COMISSAO, A1.AVIADA_CF)
    WHERE A1.TIPO_ATENDIMENTO IN (1, 2)
";

// Adicionando condição de ano, se houver
if ($ano && $ano != "Todos") {
    $sql_desconto_total .= " AND EXTRACT(YEAR FROM A1.entregue_dt) = " . intval($ano);
}

// Adicionando condição de mês, se houver
if ($mes && $mes != "Todos") {
    $sql_desconto_total .= " AND EXTRACT(MONTH FROM A1.entregue_dt) = " . intval($mes);
}

// Adicionando condição de filial, se houver
if ($filial && $filial != "Todos") {
    if (is_array($filial)) {
        $filial = implode(",", $filial); // Converte array para string separada por vírgulas
    }
    $sql_desconto_total .= " AND A1.AVIADA_LJ IN ($filial)";
}

// Adicionando condições fixas
$sql_desconto_total .= " 
    AND A1.PAGAR_COMISSAO_FUNCIONARIO = '-1'
    AND A1.STATUS_MOV = '-1'
    AND A1.codigo_tipooperacao NOT IN (5, 159, 174, 184, 185, 186, 187, 188, 190, 216, 221, 234, 235, 236, 237, 242, 246, 261, 296, 297)
";

// Executar a consulta SQL
$resultDescontoTotal = ibase_query($connection, $sql_desconto_total);
if (!$resultDescontoTotal) {
    die('Erro na consulta' . $sql_desconto_total . '  Firebird/InterBase: ' . ibase_errmsg());
}
$rowDescontoTotal = ibase_fetch_assoc($resultDescontoTotal); */




?>
<div class="col-12">
    <div class="row">

        <?php include('aproveitamento.php'); ?>

        <div class="col-md-2 col-6">
            <div class="card">
                <div class="card-body widget-user">
                    <div class="text-center">
                        <h2 class="fw-normal black" data-plugin="counterup"><?php echo formatarNumero($_SESSION['valores']['meta_geral']) ?></h2>
                        <h5>Meta</h5>
                    </div>
                </div>
            </div>

        </div>

        <div class="col-md-2 col-6">
            <div class="card">
                <div class="card-body widget-user">
                    <div class="text-center">
                        <h2 class="fw-normal text-black" data-plugin="counterup"><?php echo formatarNumero($_SESSION['valores']['realizado_geral']) ?></h2>

                        <h5>Realizado</h5>
                    </div>
                </div>
            </div>

        </div>
        <div class="col-md-2 col-6">
            <div class="card">
                <div class="card-body widget-user">
                    <div class="text-center">
                        <h2 class="fw-normal text-black" data-plugin="counterup"><?php echo $somaQuantidadeOrcamentos ?></h2>

                        <h5>Qtd Orçamentos</h5>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-2 col-6">
            <div class="card">
                <div class="card-body widget-user">
                    <div class="text-center">

                        <h2 class="fw-normal text-black"><?php echo formatarNumero($somaTotalOrcamentos) ?></h2>


                        <h5>Orçamento Total</h5>
                    </div>
                </div>
            </div>

        </div>


        <div class="col-md-2 col-6" title="Valor de Orçamento Aprovado e Quantidade">
            <div class="card">
                <div class="card-body widget-user">
                    <div class="text-center">
                        <h2 class="fw-normal text-success" data-plugin="counterup">
                            <?php echo formatarNumero($valorTotalOrcamentoAprovado); ?>
                            <br>
                            <span style="font-size: 0.5em;"><?php echo "(" . $percentualAprovado . "%)"; ?></span>
                            <br>
                            <span style="font-size: 0.8em;"><?php echo "(" . $QtdTotalOrcamentoAprovado . ")"; ?></span>
                            <span style="font-size: 0.5em;"><?php echo "(" . $percentualAprovadoQtd . "%)"; ?></span>

                        </h2>


                        <h5>Orçamento Aprovado</h5>
                    </div>
                </div>
            </div>

        </div>

        <div class="col-md-2 col-6">
            <div class="card">
                <div class="card-body widget-user">
                    <div class="text-center">
                        <h2 class="fw-normal text-danger" data-plugin="counterup">
                            <?php echo formatarNumero($valorTotalOrcamentoReprovado); ?>
                            <span style="font-size: 0.5em;"><?php echo "(" . $percentualReprovado . "%)"; ?></span>
                            <br>
                            <span style="font-size: 0.8em;"><?php echo "(" . $QtdTotalOrcamentoReprovado . ")"; ?></span>
                            <span style="font-size: 0.5em;"><?php echo "(" . $percentualReprovadoQtd . "%)"; ?></span>
                        </h2>
                        <h5>Orçamento Reprovado</h5>
                    </div>
                </div>
            </div>

        </div>
        <div class="col-md-2 col-6">
            <div class="card">
                <div class="card-body widget-user">
                    <div class="text-center">
                        <h2 class="fw-normal text-primary" data-plugin="counterup">
                            <?php echo ($geral . "%"); ?>

                        </h2>
                        <h6>Aproveitamento Geral</h6>
                    </div>
                </div>
            </div>

        </div>
        <div class="col-md-2 col-6">
            <div class="card">
                <div class="card-body widget-user">
                    <div class="text-center">
                        <h2 class="fw-normal text-primary" data-plugin="counterup">
                            <?php echo ($marca . "%"); ?>

                        </h2>
                        <h6>Aproveitamento Marca Própria</h6>
                    </div>
                </div>
            </div>

        </div>
        <div class="col-md-2 col-6">
            <div class="card">
                <div class="card-body widget-user">
                    <div class="text-center">
                        <h2 class="fw-normal text-success" data-plugin="counterup">
                            <a href="#" class="open-modal-cliente" data-toggle="modal" data-target="#MyModal2" data-produto="1"><?php echo $rowclientesnovos['NOVOS']; ?></a>
                        </h2>
                        <h5>Novos Clientes </h5>
                    </div>
                </div>
            </div>

        </div>
        <div class="col-md-2 col-6">
            <div class="card">
                <div class="card-body widget-user">
                    <div class="text-center">
                        <h2 class="fw-normal text-black" data-plugin="counterup">
                            <?php echo $rowclientesAtendidos['ATENDIDOS']; ?>

                        </h2>
                        <h5>Clientes Atendidos</h5>
                    </div>
                </div>
            </div>

        </div>
        <div class="col-md-2 col-6">
            <div class="card">
                <div class="card-body widget-user">
                    <div class="text-center">
                        <h2 class="fw-normal text-primary" data-plugin="counterup">
                            <?php echo $rowclientesDistintosAtendidos['DISTINTOS']; ?>

                        </h2>
                        <h5>Clientes Distintos Atendidos</h5>
                    </div>
                </div>
            </div>

        </div>

        <div class="col-md-2 col-6">
            <div class="card">
                <div class="card-body widget-user">
                    <div class="text-center">
                        <a href="#" class="open-modal-link" data-toggle="modal" data-target="#MyModal3" data-produto="1">
                            <h2 class="fw-normal text-black" data-plugin="counterup"><?php echo $rowqtdclientesdemandantes['COUNT']; ?></h2>
                        </a>
                        <h5>Médicos Demandantes</h5>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-2 col-6">
            <div class="card">
                <div class="card-body widget-user">
                    <div class="text-center">
                        <h2 class="fw-normal text-black" data-plugin="counterup"><?php echo formatarNumero($percentual_desconto_varejo) ?>%</h2>

                        <h5>Desconto Varejo</h5>
                    </div>
                </div>
            </div>
        </div>



        <div class="col-md-2 col-6">
            <div class="card">
                <div class="card-body widget-user">
                    <div class="text-center">
                        <h2 class="fw-normal text-black" data-plugin="counterup"><?php echo formatarNumero($percentual_desconto) ?>%</h2>

                        <h5>Desconto Manipulado</h5>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-2 col-6">
            <div class="card">
                <div class="card-body widget-user">
                    <div class="text-center">
                        <h2 class="fw-normal text-black" data-plugin="counterup"><?php echo formatarNumero($percentual_desconto_total) ?>%</h2>

                        <h5>Desconto Geral</h5>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-2 col-6">
            <div class="card">
                <div class="card-body widget-user">
                    <div class="text-center">
                        <?php
                        // Verifica se o divisor é diferente de zero antes de realizar a divisão
                        if ($rowclientesAtendidos['ATENDIDOS'] != 0) {
                            $resultado_divisao = formatarNumero(($_SESSION['valores']['realizado_geral']) / $rowclientesAtendidos['ATENDIDOS']);
                            echo '<h3 class="fw-normal text-black" data-plugin="counterup">R$' . $resultado_divisao . '</h3>';
                        } else {
                            // Caso o divisor seja zero, exibe uma mensagem alternativa
                            echo '<h2 class="fw-normal text-black" data-plugin="counterup">0</h2>';
                        }
                        ?>
                        <h5>Ticket Médio - Por Clientes Atendidos</h5>
                    </div>
                </div>
            </div>
        </div>


        <!-- <div class="col-md-2 col-6">
            <div class="card">
                <div class="card-body widget-user">
                    <div class="text-center">
                        <h2 class="fw-normal text-black" data-plugin="counterup"><?php /* echo formatarNumero($rowsumcortesia['VALOR_TOTAL'])*/ ?>Análise</h2>
                        
                        <h5>Cortesias Manipulado</h5>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-2 col-6">
            <div class="card">
                <div class="card-body widget-user">
                    <div class="text-center">
                        <h2 class="fw-normal text-black" data-plugin="counterup"><?php /* echo formatarNumero($rowsumcortesia_varejo['CORTESIAVAREJO'])*/ ?>Análise</h2>
                        
                        <h5>Cortesias Varejo</h5>
                    </div>
                </div>
            </div>
        </div> -->

    </div>


    <div id="accordion" class="mb-3">
        <div class="card mb-1">
            <div class="card-header" id="headingOne">
                <h5 class="m-0">
                    <a class="text-dark" data-bs-toggle="collapse" href="#collapseOne" aria-expanded="false">
                        <i class="mdi mdi-chevron-down me-1 text-primary"></i>
                        Apuração Diária - Geral
                    </a>
                </h5>
            </div>

            <div id="collapseOne" class="collapse" aria-labelledby="headingOne" data-bs-parent="#accordion">
                <div class="card-body">
                    <?php

                    include('apuracao_diaria.php');

                    ?>
                </div>
            </div>
        </div>

    </div> <!-- end #accordions-->


</div>


<?php include('modal/modal_novos_clientes.php'); ?>

<?php include('modal/modal_medicos_demandantes.php'); ?>